package org.example

import org.example.data.features.authorize.AuthorizeRepositoryImpl
import org.example.domain.Service.AuthorizeServiceImpl
import org.example.ui.model.AuthorizeUI

fun main() {

    val authorizeRepository = AuthorizeRepositoryImpl()
    val authorizeServiceImpl = AuthorizeServiceImpl(authorizeRepository)
    val authorizeUI = AuthorizeUI(authorizeServiceImpl)

    authorizeUI.registration()
    authorizeUI.authorize()

}